Skip to content
Start here

SSL/TLS Recommendation

Deprecated
GET/zones/{zone_id}/ssl/recommendation

Retrieve the SSL/TLS Recommender's recommendation for a zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Settings ReadSSL and Certificates WriteSSL and Certificates Read
Path ParametersExpand Collapse
zone_id: string
maxLength32
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: object { id, editable, modified_on, 2 more }
id: string
editable: boolean

Whether this setting can be updated or not.

modified_on: string

Last time this setting was modified.

formatdate-time
value: "auto" or "custom"

Current setting of the automatic SSL/TLS.

One of the following:
"auto"
"custom"
next_scheduled_scan: optional string

Next time this zone will be scanned by the Automatic SSL/TLS.

formatdate-time
success: boolean

Indicates the API call's success or failure.

SSL/TLS Recommendation

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/ssl/recommendation \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "ssl_automatic_mode",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "value": "auto",
    "next_scheduled_scan": "2014-01-01T05:20:00.12345Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "ssl_automatic_mode",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "value": "auto",
    "next_scheduled_scan": "2014-01-01T05:20:00.12345Z"
  },
  "success": true
}